package com.css.simulation.resource.server.infra.db.mysql.mapper;


import api.common.pojo.param.model.GpsParam;
import api.common.pojo.po.model.GpsPO;
import api.common.pojo.vo.model.GpsVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface GpsMapper {

    List<GpsVO> getGpsList(GpsParam gpsParam);
    List<GpsVO> getGpsListGSy(GpsParam gpsParam);

    GpsVO getGpsInfo(GpsParam gpsParam);

    List<GpsVO> checkGpsName(GpsPO gpsPO);

    void insert(GpsPO gpsPO);

    void update(GpsPO gpsPO);

    void delGpsById(GpsPO gpsPO);
}
